## heat 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
croniter>=0.3.4 # MIT License
cryptography>=1.0 # BSD/Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.cache>=1.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
osprofiler>=1.1.0 # Apache-2.0
oslo.versionedobjects>=1.5.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pycrypto>=2.6 # Public Domain
python-barbicanclient>=3.3.0 # Apache-2.0
python-ceilometerclient>=2.2.1 # Apache-2.0
python-cinderclient>=1.3.1 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
python-heatclient>=0.6.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-magnumclient>=0.2.1 # Apache-2.0
python-manilaclient>=1.3.0 # Apache-2.0
python-mistralclient>=1.0.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-openstackclient>=2.1.0 # Apache-2.0
python-saharaclient>=0.13.0 # Apache-2.0
python-senlinclient>=0.3.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-troveclient!=2.1.0,>=1.2.0 # Apache-2.0
python-zaqarclient>=0.3.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
heat (1:6.0.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 21:34:18 +0000

heat (1:6.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use /bin/sh as su shell in postinst script explicitly
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821052).
  * Updated Japanese translation for debconf messages (Closes: #820763).
  * Updated Dutch translation for debconf messages (Closes: #822969).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 12:50:37 +0000

heat (1:6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:14:08 +0200

heat (1:6.0.0~rc3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: 819022).
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 10:55:26 +0200

heat (1:6.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to setup API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:17:04 +0000

heat (1:6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added git as build-depends-indep.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:25:50 +0100

heat (1:6.0.0~b3-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Avoid option -S of dpkg-parsechangelog which is incompatible with Trusty.
  * Fixed (build-)depends for this release.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 16:05:12 +0000

heat (1:6.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed the patch for allowing routes 2.0.
  * Also package new /usr/bin/heat-wsgi-api{,-cloudwatch,-cfn}
  * Fixed debian/copyright ordering.
  * Updated heat.conf generation --namespace params.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 14:16:00 +0100

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit (>= 0.13.2),
                     git,
                     python-babel,
                     python-barbicanclient (>= 3.3.0),
                     python-ceilometerclient (>= 2.2.1),
                     python-cinderclient (>= 1:1.3.1),
                     python-croniter,
                     python-coverage,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.4),
                     python-glanceclient (>= 1:2.0.0),
                     python-greenlet,
                     python-hacking,
                     python-heatclient (>= 0.6.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-kombu (>= 3.0.25),
                     python-lxml,
                     python-magnumclient,
                     python-manilaclient (>= 1.3.0),
                     python-migrate (>= 0.9.6),
                     python-mistralclient (>= 1.0.0),
                     python-mock,
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openstackclient (>= 2.1.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.1.0),
                     python-paramiko,
                     python-pastedeploy,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-retrying (>= 1.2.3),
                     python-requests (>= 2.8.1),
                     python-routes,
                     python-saharaclient (>= 0.13.0),
                     python-senlinclient (>= 0.3.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient,
                     python-testscenarios,
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1:1.2.0),
                     python-tz,
                     python-webob,
                     python-yaml,
                     python-zaqarclient (>= 0.3.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/heat.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: python-heat
Section: python
Architecture: all
Depends: python-babel (>= 1.3),
         python-barbicanclient (>= 3.3.0),
         python-ceilometerclient (>= 2.2.1),
         python-cinderclient (>= 1:1.3.1),
         python-croniter,
         python-crypto,
         python-cryptography (>= 1.0),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet,
         python-heatclient (>= 0.6.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-magnumclient,
         python-manilaclient (>= 1.3.0),
         python-memcache,
         python-migrate (>= 0.9.6),
         python-mistralclient (>= 1.0.0),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-openstackclient (>= 2.1.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-osprofiler (>= 1.1.0),
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-retrying (>= 1.2.3),
         python-requests (>= 2.8.1),
         python-routes,
         python-saharaclient (>= 0.13.0),
         python-senlinclient (>= 0.3.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-swiftclient,
         python-troveclient (>= 1:1.2.0),
         python-tz,
         python-webob,
         python-yaml,
         python-zaqarclient (>= 0.3.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-heat (=${binary:Version}),
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

Package: heat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init
	set -e ; set -x ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) testr run --subunit 'heat.tests.*' | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info .testrepository
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -f \
		debian/heat-common.postinst \
		debian/heat-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_install:
	mkdir -p $(CURDIR)/debian/heat-common/usr/share/heat-common
	oslo-config-generator \
		--namespace heat.common.config \
                --namespace heat.common.context \
		--namespace heat.common.crypt \
		--namespace heat.common.heat_keystoneclient \
		--namespace heat.common.wsgi \
		--namespace heat.engine.clients \
		--namespace heat.engine.notification \
		--namespace heat.engine.resources \
                --namespace heat.api.middleware.ssl \
		--namespace heat.api.aws.ec2token \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.messaging \
                --namespace oslo.middleware \
		--namespace oslo.db \
		--namespace oslo.log \
                --namespace oslo.policy \
                --namespace oslo.service.service \
                --namespace oslo.service.periodic_task \
                --namespace oslo.service.sslutil \
		--wrap-width 140 \
		--output-file $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	sed -i 's|^[# \t]*auth_protocol[\t #]*=.*|auth_protocol = http|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf


	dh_install --fail-missing -Xbin/cinder-keystone-setup
	# Some files are missing, fix that...
	cp -axuf heat/db/sqlalchemy/migrate_repo/* $(CURDIR)/debian/python-heat/usr/lib/python2.7/dist-packages/heat/db/sqlalchemy/migrate_repo
	cp -r heat/cloudinit/* $(CURDIR)/debian/python-heat/usr/lib/python2.7/dist-packages/heat/cloudinit/

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.config

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/heat-doc/usr/share/doc/heat-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## heat 6.1.2

=== heat_integrationtests/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6
kombu>=3.0.25
os-collect-config
oslo.log>=1.14.0
oslo.messaging>=4.0.0
oslo.concurrency>=3.5.0
oslo.config>=3.7.0
oslo.utils>=3.5.0
paramiko>=1.16.0
python-ceilometerclient>=2.2.1
python-cinderclient>=1.3.1
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0
python-heatclient>=0.6.0
python-neutronclient!=4.1.0,>=2.6.0
python-novaclient!=2.33.0,>=2.29.0
python-swiftclient>=2.2.0
PyYAML>=3.1.0
requests!=2.9.0,>=2.8.1
six>=1.9.0
testrepository>=0.0.18
testscenarios>=0.4
testtools>=1.4.0

=== contrib/rackspace/requirements.txt ===
-e git+https://github.com/rackerlabs/heat-pyrax.git#egg=pyrax

=== debian/changelog ===
heat (1:6.1.2-0ubuntu1.1) xenial; urgency=medium

  * Fixing heat error with unicode (LP: #1761629)
    - d/p/0001-Fixing-unicode-issue-when-to_dict-is-called-on-py2.7.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Mon, 23 Apr 2018 21:42:13 -0700

heat (1:6.1.2-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1696177).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 09:35:21 +0100

heat (1:6.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream stable point release for OpenStack Mitaka (LP: #1668313)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 11:14:03 -0500

heat (1:6.1.0-0ubuntu1) xenial; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/engine-shutdown.patch: Dropped, included upstream.

  [ Corey Bryant ]
  * New upstream version.

  [ David Della Vecchia ]
  * New upstream stable point release for OpenStack Mitaka (LP: #1619318).
  * d/p/fixup-assert-regex.patch: Rebased.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 14 Sep 2016 07:53:36 -0400

heat (1:6.0.0-0ubuntu1.1) xenial; urgency=medium

  * d/p/engine-shutdown.patch: Cherry pick fix to ensure that heat-engine
    worker processes are shutdown correctly when SIGINT is received early
    in the process lifecycle (LP: #1562042).

 -- James Page <james.page@ubuntu.com>  Tue, 10 May 2016 12:40:54 +0100

heat (1:6.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 13:55:55 -0400

heat (1:6.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:10:20 -0400

heat (1:6.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/p/use-oslo-config-fixture-for-tests.patch: Removed. Fixed upstream.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 07 Mar 2016 14:21:57 -0500

heat (1:6.0.0~b2-0ubuntu2) xenial; urgency=medium

  * d/p/use-oslo-config-fixture-for-tests.patch: Cherry-picked from upstream
    master branch to fix test failures with new oslo.config versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Mar 2016 15:12:43 -0500

heat (1:6.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 25 Jan 2016 14:21:59 -0500

heat (1:6.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/fixup-assert-regex.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Dec 2015 16:08:52 -0500

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit,
                     python-babel,
                     python-barbicanclient (>= 3.3.0),
                     python-ceilometerclient (>= 2.2.1),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-croniter,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.3),
                     python-glanceclient (>= 1:2.0.0),
                     python-greenlet,
                     python-hacking,
                     python-heatclient (>= 0.6.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-kombu,
                     python-lxml,
                     python-magnumclient (>= 0.2.1),
                     python-manilaclient (>= 1.3.0),
                     python-migrate (>= 0.9.6),
                     python-mistralclient (>= 1:1.0.0),
                     python-mock (>= 1.2),
                     python-mox3,
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openstackclient (>= 2.1.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.7.1),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.1.0),
                     python-paramiko (>= 1.13.0),
                     python-pastedeploy,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-retrying (>= 1.2.3),
                     python-requests (>= 2.5.2),
                     python-routes,
                     python-saharaclient (>= 0.13.0),
                     python-senlinclient (>= 0.3.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1.2.0),
                     python-tz (>= 2013.6),
                     python-webob,
                     python-yaml,
                     python-zaqarclient (>= 0.3.0),
                     subunit,
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
Homepage: http://wiki.openstack.org/Heat
XS-Testsuite: autopkgtest

Package: python-heat
Section: python
Architecture: all
Depends: python-babel,
         python-barbicanclient (>= 3.3.0),
         python-ceilometerclient (>= 2.2.1),
         python-cinderclient (>= 1:1.3.1),
         python-croniter,
         python-crypto,
         python-cryptography (>= 1.0),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.3),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet,
         python-heatclient (>= 0.6.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-magnumclient (>= 0.2.1),
         python-manilaclient (>= 1.3.0),
         python-migrate (>= 0.9.6),
         python-mistralclient (>= 1:1.0.0),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-openstackclient (>= 2.1.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.7.1),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-osprofiler (>= 1.1.0),
         python-pastedeploy,
         python-pymysql,
         python-retrying (>= 1.2.3),
         python-requests (>= 2.5.2),
         python-routes,
         python-saharaclient (>= 0.13.0),
         python-senlinclient (>= 0.3.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         python-troveclient (>= 1.2.0),
         python-tz (>= 2013.6),
         python-webob,
         python-yaml,
         python-zaqarclient (>= 0.3.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Depends: adduser,
         python-heat (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils  --with python2,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit '^(?!heat_integrationtests)' | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_clean:
	dh_clean
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -rf pbr*.egg
	rm -f etc/heat/heat.conf
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_clean:
	dh_auto_clean

override_dh_install:
	oslo-config-generator --config-file=config-generator.conf
	cp etc/heat/heat.conf.sample etc/heat/heat.conf
	dh_install

#override_dh_installman:
#	python setup.py build
#	make -C doc man
#	dh_installman

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/heat heat-(\d.*)\.tar\.gz

## heat 7.0.0~b2

=== debian/changelog ===
heat (1:7.0.0~b2-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 13:55:31 +0000

heat (1:7.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added new pt_BR.po Brazilian Portuguese debconf templates translation
    (Closes: #829341).
  * Updated Danish translation of the debconf templates (Closes: #830642).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 19:33:13 +0200

heat (1:7.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added fix-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jun 2016 10:39:57 +0200

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit (>= 0.13.2),
                     git,
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-ceilometerclient (>= 2.2.1),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-croniter,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-greenlet,
                     python-hacking,
                     python-heatclient (>= 1.1.0),
                     python-keystoneauth1 (>= 2.7.0),
                     python-keystoneclient (>= 1:1.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-kombu (>= 3.0.25),
                     python-lxml,
                     python-magnumclient (>= 2.0.0),
                     python-manilaclient (>= 1.3.0),
                     python-migrate (>= 0.9.6),
                     python-mistralclient (>= 2.0.0),
                     python-mock (>= 2.0),
                     python-monascaclient (>= 1.1.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:4.2.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openstackclient (>= 2.1.0),
                     python-openstackdocstheme,
                     python-os-collect-config,
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.12.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.15.0),
                     python-oslo.versionedobjects (>= 1.9.1),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.3.0),
                     python-paramiko (>= 2.0),
                     python-pastedeploy,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-retrying (>= 1.2.3),
                     python-routes,
                     python-saharaclient (>= 0.13.0),
                     python-senlinclient (>= 0.3.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.10.),
                     python-swiftclient,
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1:2.2.0),
                     python-tz,
                     python-webob,
                     python-yaml,
                     python-yaql (>= 1.1.0),
                     python-zaqarclient (>= 1.0.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/heat.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: python-heat
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-ceilometerclient (>= 2.2.1),
         python-cinderclient (>= 1:1.6.0),
         python-croniter,
         python-crypto,
         python-cryptography (>= 1.0),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet,
         python-heatclient (>= 1.1.0),
         python-keystoneauth1 (>= 2.7.0),
         python-keystoneclient (>= 1:1.7.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-magnumclient (>= 2.0.0),
         python-manilaclient (>= 1.3.0),
         python-memcache,
         python-migrate (>= 0.9.6),
         python-mistralclient (>= 2.0.0),
         python-monascaclient (>= 1.1.0),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:4.2.0),
         python-novaclient (>= 2:2.29.0),
         python-openstackclient (>= 2.1.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.12.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.15.0),
         python-oslo.versionedobjects (>= 1.9.1),
         python-osprofiler (>= 1.3.0),
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-routes,
         python-saharaclient (>= 0.13.0),
         python-senlinclient (>= 0.3.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.10.0),
         python-swiftclient,
         python-troveclient (>= 1:2.2.0),
         python-tz,
         python-webob,
         python-yaml,
         python-yaql (>= 1.1.0),
         python-zaqarclient (>= 1.0.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-heat (=${binary:Version}),
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

Package: heat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.
